;****************************************************************************
; PRUEBA DE MASB
;****************************************************************************

EXTRN MASB_INICIA_PROCESADOR  : NEAR
EXTRN MASB_RECIBE_VALOR       : NEAR
EXTRN MASB_ENVIA_VALOR        : NEAR

EXTRN MASB_CONECTA_ALTAVOZ    : NEAR
EXTRN MASB_DESCONECTA_ALTAVOZ : NEAR

EXTRN MASB_COPIA_NIVEL        : NEAR
EXTRN MASB_PEGA_NIVEL         : NEAR

EXTRN MASB_ENVIA_SONIDO       : NEAR
EXTRN MASB_PAUSA_SONIDO       : NEAR
EXTRN MASB_CONTINUA_SONIDO    : NEAR

CAMINO SEGMENT PUBLIC
  ASSUME CS:CAMINO,DS:CAMINO,SS:CAMINO,ES:CAMINO
  ORG 100H

INICIA:

;----------------------------------------------------------------------------
; Inicia la nueva pila.
  MOV SP,OFFSET PILA+SIZE PILA-1

;----------------------------------------------------------------------------
; Abre el archivo de sonido.
  MOV AH,03DH
  MOV AL,0
  LEA DX,ARCHIVO
  INT 021H
  MOV BX,AX

;----------------------------------------------------------------------------
; Carga el sonido.
  MOV AH,03FH
  MOV CX,4312
  MOV DX,1023
  INT 021H

;----------------------------------------------------------------------------
; Cierra el archivo.
  MOV AH,03EH
  INT 021H

;----------------------------------------------------------------------------
; Suena.
  CALL MASB_INICIA_PROCESADOR

  MOV SI,1023
  MOV CX,4311
  MOV AL,0A5H
  CALL MASB_ENVIA_SONIDO

  INT 20H

  ARCHIVO DB 'HOLA.WAV',0
  PILA DB 256 DUP (0)

CAMINO ENDS

END INICIA